/* =========================================
   FUNDAMENTY I ZMIENNE (Dla podstron projektów)
   ========================================= */
:root {
    --color-vanilla: #F0EAD2;
    --color-cream: #DDE5B6;
    --color-olive: #ADC178;
    --color-copper: #A98467;
    --color-brown: #6C584C;

    --bg-color: var(--color-vanilla);
    --text-primary: var(--color-brown);
    --text-secondary: var(--color-copper);
    --accent-primary: var(--color-olive);
    --card-bg: rgba(255, 255, 255, 0.85); 
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Inter', sans-serif;
}

body {
    /*background: linear-gradient(-45deg, var(--color-vanilla), var(--color-cream), #F5F0DF, #EBEFDB);
    background-size: 400% 400%;
    animation: moveGradient 15s ease infinite;*/
    background-color: var(--color-vanilla);
    color: var(--text-primary);
}

@keyframes moveGradient {
    0% { background-position: 0% 50%; }
    50% { background-position: 100% 50%; }
    100% { background-position: 0% 50%; }
}

.container {
    padding: 0 20px 80px 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

::selection {
    background-color: var(--accent-primary); 
    color: var(--bg-color); 
}

::-moz-selection {
    background-color: var(--accent-primary);
    color: var(--bg-color);
}

/* =========================================
   PRZYCISKI I NAWIGACJA
   ========================================= */
.btn {
    text-decoration: none;
    color: var(--text-primary);
    background: var(--accent-primary);
    padding: 14px 32px;
    border-radius: 100px; 
    font-size: 16px;
    font-weight: 600;
    transition: all 0.3s ease;
}

.btn-outline {
    background: transparent;
    color: var(--text-primary);
    border: 2px solid var(--accent-primary);
}

.btn-outline:hover {
    background: var(--accent-primary);
}

.back-nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1400px;
    width: 100%;
    margin: 0 auto 0px auto;
    gap: 20px;
}

.back-nav .btn {
    flex: 1;
    text-align: center;
    white-space: nowrap;
    max-width: 300px;
}

/* =========================================
   SZABLON PROJEKTU (BEHANCE STYLE)
   ========================================= */
.behance-presentation {
    width: 100%;
    max-width: 1400px;
    margin: 0 auto;
    background: var(--card-bg);
    backdrop-filter: blur(10px);
    border-radius: 32px;
    overflow: hidden;
    box-shadow: 0 20px 50px rgba(26, 83, 92, 0.48);
    display: flex;
    flex-direction: column;
}

.behance-header {
    padding: 20px;
    text-align: center;
}

.behance-images {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.behance-images img {
    width: 100%;
    height: auto;
    display: block;
    margin: 0;
}

.behance-footer {
    display: flex;
    width: 100%;
    max-width: 1400px; 
    display: flex;
    justify-content: space-between;
    gap: 20px;
    z-index: 100;
    background-color: var(--c-beige);
}

.top-return-nav {
    display: flex;
    width: 100%;
    max-width: 1400px; 
    display: flex;
    justify-content: space-between;
    padding: 20px;
    gap: 20px;
    z-index: 100;
    background-color: var(--c-beige);
}

.btn-return {
    text-decoration: none;
    color: var(--text-dark); 
    border: 2px solid #ADC178; 
    padding: 12px 28px;
    border-radius: 100px;
    font-size: 16px;
    font-weight: 600;
    transition: all 0.3s ease;
    text-align: center;
    flex: 1;
    max-width: 300px;
}

.btn-return:hover {
    background-color: #ADC178;
}

.fade-in {
    opacity: 0;
    transform: translateY(30px);
}
.fade-in.visible {
    opacity: 1;
    transform: translateY(0);
    transition: opacity 1s ease, transform 1s ease;
}

/* RWD */
@media (max-width: 768px) {
    main.container {
        padding-top: 0px !important; 
        padding-bottom: 0px !important;
    }

    .top-return-nav {
        flex-direction: column;
        padding: 20px;
        text-align: center;
    }
    .btn-return {
        max-width: 100%;
        width: 100%;
    }

    .behance-presentation {
        width: 100vw !important;
        max-width: 100vw !important;
        margin-left: calc(-50vw + 50%) !important;
        margin-right: calc(-50vw + 50%) !important;
        border-radius: 0 !important;
    }
    .back-nav {
        flex-direction: column;
    }
    .back-nav .btn {
        max-width: 100%;
        width: 100%;
    }

    .behance-header {
        padding: 20px 20px 20px !important;
    }
}